---
search:
  tags:
    - Recipients
    - POST
seo:
  description: >-
    Create a recipient. Reference for the POST
    /v1/organizations/{orgId}/recipients endpoint in the Stashtab Vault
    Warehouse API.
sidebar:
  label: Create a recipient
  badge: POST
title: Create a recipient
type: openapi-operation
---
`POST /v1/organizations/{orgId}/recipients`

**Request body** (`application/json`, required)

- `addressLine1` (string | null)
- `addressLine2` (string | null)
- `addressLine3` (string | null)
- `city` (string | null)
- `companyName` (string | null)
- `contactName` (string | null)
- `countryCode` (string | null)
- `defaultIncoterm` (string | null)
- `email` (string | null)
- `importerOfRecord` (string | null)
- `legalName` (string | null)
- `phone` (string | null)
- `postalCode` (string | null)
- `region` (string | null)
- `taxIdentifier` (string | null)
- `submissionKey` (string, required)

Request body example:

```json
{
  "addressLine1": "string",
  "addressLine2": "string",
  "addressLine3": "string",
  "city": "string",
  "companyName": "string",
  "contactName": "string",
  "countryCode": "string",
  "defaultIncoterm": "CFR",
  "email": "string",
  "importerOfRecord": "string",
  "legalName": "string",
  "phone": "string",
  "postalCode": "string",
  "region": "string",
  "taxIdentifier": "string",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "recipient": {
      "addressLine1": "string",
      "addressLine2": "string",
      "addressLine3": "string",
      "city": "string",
      "companyName": "string",
      "contactName": "string",
      "countryCode": "string",
      "defaultIncoterm": "CFR",
      "email": "string",
      "id": "string",
      "importerOfRecord": "string",
      "legalName": "string",
      "phone": "string",
      "postalCode": "string",
      "region": "string",
      "revision": 1,
      "taxIdentifier": "string",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
